#include <fstream>
#include <cmath>

using namespace std;

ifstream input("SLU.inp");
ofstream output("SLU.out");
long long n;
long long res = 0;

int main()
{
	input >> n;
	for (int i = 1; i <= sqrt(n); ++i)
	{
		if (n % i == 0)
		{
			if (i == n / i)
			{
				res++;
			}
			else
			{
				res += 2;
			}
		}
	}
	output << res;
	input.close();
	output.close();
	return 0;
}